.panel.panel-default{"ng-controller" => "CreditAvailPurposeCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Credit Avail Purposes
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Name
            %th{:style => "text-align:center;"} Credit Source
            %th{:style => "text-align:center;"} 
            %th{:style => "text-align:center;"} 
     
        %tbody
          %tr{ "ng-repeat" => "credit_avail_purpose in data_list "}
            %td{:style => "text-align:center;"} {{ credit_avail_purpose.name }}
            %td{:style => "text-align:center;"} {{ credit_avail_purpose.credit_source.name }}
            %td
              %a{ "ng-click" => "edit(credit_avail_purpose.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(credit_avail_purpose.id, credit_avail_purpose.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr            
            %td
              = text_field_tag :name,'', :class => "form-control", "ng-model" => "vm.name"
            %td
              %select{"ng-model" => "vm.credit_source", "ng-options" => "credit_source.name for credit_source in credit_sources track by credit_source.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
            %td
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel